For the latest news and information visit The GNU Crypto project

## gnu.crypto.prng
Interface IPBE

public interface IPBE

Trivial interface to group Password-based encryption property names.

Field Summary
`static java.lang.String` `ITERATION_COUNT` Property name for the iteration count in a PBE algorithm.
`static java.lang.String` `PASSWORD` Property name for the password in a PBE algorithm.
`static java.lang.String` `SALT` Property name for the salt in a PBE algorithm.

Field Detail

### ITERATION_COUNT

    public static final java.lang.String ITERATION_COUNT

  Property name for the iteration count in a PBE algorithm. The property associated with this is expected to be an `Integer`.

  See Also:
    Constant Field Values

### PASSWORD

    public static final java.lang.String PASSWORD

  Property name for the password in a PBE algorithm. The property associated with this is expected to be a char array.

  See Also:
    Constant Field Values

### SALT

    public static final java.lang.String SALT

  Property name for the salt in a PBE algorithm. The property associated with this is expected to be a byte array.

  See Also:
    Constant Field Values

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.